Simple interface - No Ribbon Menu?

BrianDubya
edited November 2020 in Moving from A-CAD

I use AutoCAD in a AutoCAD Classic mode with most menus removed and only (2) menus on either side of the drawing area, no menus on the top and “of course” no ribbon menus. I want to maximize the screen drawing area and minimize the clutter of menus, including the Ribbon. Is it possible to simplify my screen in BricsCAD in that manner?

Comments

  • CADMebel
    edited November 2020

    Right Click on the Ribbon. Maybe use Clean Screen - Ctrl + 0. Nobody reads the manual anymore.

  • To turn off the ribbon, use the RIBBONCLOSE command. Check the help file for more info about this feature:
    https://help.bricsys.com/hc/en-us/articles/360006617774-RibbonClose

    You can move the toolbars around the screen by click and dragging the set of toolbars. Each grouping of toolbars are separated by a few vertical dots. Click and drag that area. You may need to unlock the user interface if it's anything like ACAD. You can drag toolbars to the side of the screen to have them stack up vertically.

  • @BrianDubya
    I've found a friend! You just described my preferred mode of operation.
    Ribbon may have its uses, I have yet to find them, but I do have this RI key-in to toggle it on and off:
    (DEFUN C:RI () (PRINC "\nToggle Ribbon")(IF (= 1 (GETVAR "RIBBONSTATE"))(COMMAND "RIBBONCLOSE")(COMMAND "RIBBON")) (PRINC))

    The problem with the ribbon for me, is it takes too much space for what it offers, and making ribbon items is painful. I have written tools for H&A for 20 years now, and have hundreds of commands. Just organizing those is a challenge. Here is just one flyout on our HATools dropdown menu:

    I also have lots of toolbars, though I personally keep to 2 rows on the top only, and command line docked to bottom with 3 rows of text.
    I could never do all this, well, I could if forced..., with the CUI interface in acad or bcad. I hate it.
    Instead, use good old .mnu format, which is stable, compact, fast to edit, tastes good, and will eventually solve world hunger.

    Notice all the key-ins on the right of my menu items? That is a challenge to organize too.
    What I do ayt H&A is have a company standard key-in file, that works for acad and bcad (one file), and then the user can add to that through another lisp that each of them has for their own fun. Some users have 50 added key-ins, some none.
    My solution to then find commands amongst the hundreds of key-ins is a key-in "search" routine, that looks through those two files and finds any line with the term "PRINCM" in it. That is my wrapped function for PRINC, and I use it like this, since I posted the RI above.
    Here is my real RI command:
    (DEFUN C:RI () (PRINCM "\nToggle Ribbon")(IF (= 1 (GETVAR "RIBBONSTATE"))(COMMAND "RIBBONCLOSE")(COMMAND "RIBBON")) (PRINC))
    See how it has PRINCM?
    The PRINCM function is this:
    (DEFUN PRINCM (MSG / )
    (ECHOOFF)(PRINC MSG)
    )
    nice and tidy.
    The search function is this, which constructs a list of files and calls PRINTKEYSAUX at the end.
    I show this so people see how one routine can work for multiple acad/bcad versions.
    We actually have a key-in of PK to call this. Yes, a key-in to search the list of key-ins :)

    ;---- Function to print list of c:functions------------
    (DEFUN C:PRINTKEYS ( / CPATH LST HA-CUSTOM-PATHLOC PROFFLDR)
    ;FIGURE THE USER FILE PATH BY ACAD VERSION
    (COND
    ((WCMATCH (VLAX-PRODUCT-KEY) "\V20")(SETQ CPATH "B2020"))
    ((WCMATCH (VLAX-PRODUCT-KEY) "\V19")(SETQ CPATH "B2019"))
    ((WCMATCH (VLAX-PRODUCT-KEY) "\V18")(SETQ CPATH "B2018"))
    ((WCMATCH (VLAX-PRODUCT-KEY) "\V17")(SETQ CPATH "B2017"))
    ((WCMATCH (VLAX-PRODUCT-KEY) "\V16")(SETQ CPATH "B2016"))
    ((WCMATCH (VLAX-PRODUCT-KEY) "\V15")(SETQ CPATH "B2015"))
    ((WCMATCH (VLAX-PRODUCT-KEY) "\V14")(SETQ CPATH "B2014"))
    ((WCMATCH (VLAX-PRODUCT-KEY) "\V13")(SETQ CPATH "B2013"))
    ((WCMATCH (VLAX-PRODUCT-KEY) "\V12")(SETQ CPATH "B2012"))
    ((WCMATCH (VLAX-PRODUCT-KEY) "\R23.1")(SETQ CPATH "A2020"))
    ((WCMATCH (VLAX-PRODUCT-KEY) "\R23.0")(SETQ CPATH "A2019"))
    ((WCMATCH (VLAX-PRODUCT-KEY) "\R22.0")(SETQ CPATH "A2018"))
    ((WCMATCH (VLAX-PRODUCT-KEY) "\R21.0")(SETQ CPATH "A2017"))
    ((WCMATCH (VLAX-PRODUCT-KEY) "\R20.1")(SETQ CPATH "A2016"))
    ((WCMATCH (VLAX-PRODUCT-KEY) "\R20.")(SETQ CPATH "A2015"))
    ((WCMATCH (VLAX-PRODUCT-KEY) "\R19.")(SETQ CPATH "A2014"))
    ((WCMATCH (VLAX-PRODUCT-KEY) "\R18.2")(SETQ CPATH "A2013"))
    ((WCMATCH (VLAX-PRODUCT-KEY) "\R18.1")(SETQ CPATH "A2012"))
    ((WCMATCH (VLAX-PRODUCT-KEY) "\R18.")(SETQ CPATH "A2011"))
    ((WCMATCH (VLAX-PRODUCT-KEY) "\R17.")(SETQ CPATH "A2009"))
    )
    ;ASSUME +Key-Ins.lsp IS AVAILABLE, IT BETTER BE
    (SETQ LST (LIST (FINDFILE "+Key-Ins.lsp")))
    (SETQ PROFFLDR (substr (getenv "USERPROFILE") 10))
    ;WE STORE USER LISP ON "C:\J Drive Local" NOW, long story...
    (SETQ HA-CUSTOM-PATHLOC (strcat "C:\J Drive Local\Acaduser\" PROFFLDR "\AcadSettings\" CPATH "\" (getvar "loginname") ".lsp"))
    (IF (FINDFILE HA-CUSTOM-PATHLOC)
    (SETQ LST (APPEND LST (LIST HA-CUSTOM-PATHLOC)))
    )
    (PRINTKEYSAUX LST)
    (PRINC)
    )

    I attached the code for all this including PRINTKEYSAUX, as that is what does the parsing and printing.
    Hopefully users that are starting out on CAD management will keep this in their back pocket.
    I get 20 calls a day from users "do you have a command for this or that?" I tell them to run PK, type their search word, and see what they get.
    They typically say "oh, found it, and also I see other similar commands I could use". Bingo! Spreading some sunshine.

  • Happy to be your friend, but I quit doing menus, lisp routines and scripts years ago.

    Consider me to be a a paper and pencil CAD guy. Back in the day, when I was on the board (drafting not “of directors”) I had few tools, to do my job; paper, drafting tape, mechanical pencil, lead pointer, scumex “pad” and a few templates. So six (6) tools.

    Never used erasers or the erasing shield, since I NEVER made any mistakes. LOL! OK, eight (8) tools!

    My needs with CAD, today, are just as minimal, using a few menu icons or simple 1-2 letter key-ins. And lots of screen space, for an old blind draftsman.

    I have disliked the Ribbon menu since it showed up in Word and EXCEL.

    For 20 odd years, we had been quite productive with the basic “Office” simple menu structure. NEVER hears anyone complain about (or wish for) less screen or more confusing program layout.

    Never once went to the HELP tab or consulted the manual for guidance. It was just so easy. Until the Ribbon, that is.

    So when the ribbon migrated to AutoCAD, and AutoDesk touted it as a feature I was very upset. Quickly went to the ADesk forums and found the “switch” to turn it off. Now ADesk has removed the switch.

    And users have less screen and more clutter (IMHO).

    Good to know I will have the option to resort to a simple and clean work environment again.

    Thanks,

    Brian Weir

  • @BrianDubya
    I don't get it. Why is simplicity such a priority for your environment? I've heard of big companies not wanting anything custom, but its generally due to an incompetent cad manager that is afraid of things.
    You started with automation though, why the need to leave it behind?

  • If it's anything like me, the more toolbars and menus that require a click of the mouse, is time spent moving the cursor back and forth between what you're drawing and the command you want to use. I've learned CAD back in the days of DOS with ACAD V12. I know all the commands I need and can type the one or two letters faster on a keyboard than I can move the cursor back and forth (and trust me, I type pretty fast). I don't need the ribbon as I already know what I need, and what options each command has. You do something long enough and it becomes second nature. I wouldn't gain anything by cluttering up the workspace with toolbars so might as well maximize the drawing area. I do use some lisp, but I do so much custom projects that nothing is similar enough to justify creating dozens of lisp routines that I would just use once or twice a year only to save me a minute of work. Not all companies, big or small, do a lot of repetitive tasks that make custom programing worthwhile.

  • If I want to draw a line, i hit “L”, and draw the line. Circle, I hit a “C” and drawing the circle, to the size I want. Simple.

    I always wanted technology to simplify my work, not make it complicated. And it has since I just started drawing and quit trying to “automate” my job.

    And I did try to "program" , for years, until I realized all the time I was spending writing scripts, lisp routines and clever “time saving” menu selections, I could have just drawn the item in the first place.

    I developed a menu based set-up where one would verbally create (text menus), by describing a "control loop" from a Process Diagram (P&ID) and the program would draw the entire loop, based on the data you would select from the menus. It was awesome and I developed it so a non-cad (but experienced) designer/technician or engineer could work productively in CAD with little or no training. If he could read, he could draw loops from the process drawings.

    But we were just getting into AutoCAD (mid-eighties era) and the big guys wanted us to draw not program, so I did not develop it any further. But it would be valuable even today, but . . .

    So I just stick to my simple drafting and make a good living anyway.

    My drawings are simple wiring diagrams and schematics and the occasional fabrication diagram to build the enclosure, panel or junction boxes.

    No parametric designs or anything complicated, plus my industry has the guiding documents (P&IDs) constantly changing. So we do a lot of minor edits and tweaks along the way.

    Also much of our work is a repeat of the last job, so copy, cut, paste and edit is our daily mantra.

    Simple drafting, where automation doesn’t seem to be required or needed, since our small company does not have a budget for programming (lisp, scripts, menu shortcuts, etc).

    I don’t dislike the ability to automate, I tried “back in the day” a lot. But thru the years have seen where just the ability to draw and edit is all we need in our little niche market.

    Oh and I started with ACAD 2.18, DOS, single floppy, 386 processor, 386kb RAM, Hercules graphics card and a joy stick. Ya want basic, there it was.

    I drive a stick shift, base model Z370, It gets me where I am going, safely, efficiently and quickly. And it looks good while doing it.

    I want no more out of my car and my CAD needs are just as simple.

    Sorry to disappoint, just doing my job.

    Thanks for the input, I do appreciate what you do and have done, but . . .

    Brian Weir

  • @BrianDubya
    I'd have to understand your product more. You actually seem to be describing exactly the environment that could use automation.
    I hope you found other ways to use your talents, sounds like you have excess ability your companies did not appreciate.
    thanks

  • Circle, I hit a “C” and drawing the circle, to the size I want. Simple.

    For me type c123 pick a point and a circle radius of 123 is drawn any radius can be entered, Same with Fillet f10 f123 we all want f0, oh yeah offset as well o4 O12 happy to post code. Sorry works in Autocad not Bricscad have posted here in lisp why does it not work.

  • @James Maeding
    “You started with automation though, why the need to leave it behind“

    Never left automation/CAD, just taking the path of least resistance.

    If management says do it this way, and they sign my timesheet every week, I am good with that.

    Plus our work is ”just like” that last job but a little bit different so efficiency says copy, paste and edit is the route to take.

    The client changing the primary design documents means small edits along the way, sometimes even after the IFC issue, so “As Builts” are usually a normal part of the process.

  • Anthony Apostolaros
    edited November 2020

    I, too, use keyboard input, with no toolbars or ribbon, and only simple commands. Rarely-used commands are by pull-down menu.

    But the built-in commands aren't simple enough for my simple brain. I made custom versions of them, so I never have to type an option letter.

    There's usually only one way I use each built-in command. But if there are two ways I use it then I have two custom commands -- like "AA" to draw an arc by center, radius, and sweep, and "AAA" to draw an arc by 3 points.

  • @ALANH
    I'll try your code. The ultra nice things about acad/bcad is you can do everything from simple lisp or scripts, all the way to your own industry specific software. If you look at the image I posted of my text values menu, it shows commands that copy "just the number value" and paste in "just the number". That allows callouts to be placed that have like "0.00 FS" and the number can be filled in later.
    There are so many things in civil, at least, that need to update a number in a callout, from another number somewhere.
    Those commands are not the easiest either, when you deal with mtext, mleaders, attributes, dimensions...my tools work on any text.
    So I still think people trying to keep it simple are keeping it too simple. It may be complex to do some needed automation, and one may not have the time/energy/interest in doing so. I've even seen environments that scold people for anything custom. They embarrass themselves every time as it always turns out to be lack of education. That is why I try to help anyone that wants to learn cad setup and automation.

  • WOW just rightclick the ribbon choose WORKSPACE with toobars.
    Now drag and drop whatever menus you like . (Rightclick toolbars)

  • WOW just rightclick the ribbon choose WORKSPACE with toobars.

    Now drag and drop whatever menus you like . (Rightclick toolbars)

    Thanks Patrik, was very helpfull.
  • One of the things you can do is a custom menu that has commands from other workspaces, so stay in 1 workspace, my example is CIV3D so I work in Drafting workspace, but have a menu with some of the CIV3D commands that we use often. Its a case of open CUI and Notepad and copy and paste between the two so command syntax is correct when making the mnu. Custom toolbars are another way to, again for CIV3D surfaces have to use TOOLSPACE, No have options on a toolbar. Saving 2-3 steps.
  • pandaranda
    edited December 2022
    if anyone is interested in this I have hundreds of numeric commands basic cad input, view related and sometimes more complicated combinations, but still numeric input. I learned to use a right-handed mouse left-handed with no modifications back in '89 or '90 so I could write (I am right-handed) down all the contradictory information my 2 bosses would come up every day, onto a 8.5x11 clipboard. so I learned to use a mouse left-handed (and being the slow learner that I am) 4 or 5 years later I realized I could assign numeric input to cad commands.

    as usual, 1 day daydreaming sitting at the keyboard, my mind was literally out the window, and I thought, hmm I think I can defun a # to be comand save

    (defun c:00 () (progn (command nil nil nil)(command ".save" "") (princ)))

    it worked and now I have 100's of these. simple, keep your face focused on the screen. a balance of right and left muscles during the day. and every so often just for s & g, I actually type in a command on the keyboard. DONT NEED a menu, works with all the versions I have used (so far):

    (defun c:0 () (command "orthomode" 0) (princ))
    (defun c:1 () (command "orthomode" 1) (princ))
    (defun c:2 () (progn (command "cmdecho" 1) (command "dist")) (princ))
    (defun c:3 () (progn (command "cmdecho" 1) (command "dist" "nea" pause "per" pause)) (princ))
    (defun c:+4 () (command ".osnap") (princ))
    (defun c:+5 () (command "'osnap" "") (princ))
    (defun c:+6 () (command "'osnap" "end,ins,int,mid") (princ))
    (defun c:+61 () (command "'osnap" "end,ins,int,mid,per") (princ))
    (defun c:+7 () (command "'osnap" "nea,per") (princ))
    (defun c:+8 () (command "'osnap" "ins,cen") (princ))
    (defun c:+9 () (command "'osnap" "ins,cen,quad") (princ))
    (defun c:00 () (progn (command nil nil nil)(command ".save" "") (princ)))
    ;(defun c:01 () (progn (load "lyr-lno") (c:lno)) (princ))
    (defun c:02 () (command ".qsave") (princ))
    (defun c:03 () (progn (prompt "\nwblocking to file: ") (command ".wblock" "~") (princ)))
    (defun c:04 () (command ".plot") (princ))
    (defun c:05 () (command ".xclip" pause "" "s") (princ))

    I am now doing Facility Planning kind of work, inheriting files from '90 and early 2000's NONE of which match. It is such an adventure and a daily challenge. I have my latest version of num-keys.lsp & num-lyrs.lsp at work, I will try to send it home so I can share that.
  • pandaranda
    edited December 2022
    my m and z key stick on my keyboard, o well.
  • Like you but use setvar.

    (defun C:15 ()(setvar "osmode" 15359)) ; sets all snaps on
    (defun C:47 ()(setvar "osmode" 47)(setvar "AUNITS" 0))
    (defun C:99 ()(setvar "osmode" 99))
    (defun C:8 ()(setvar "osmode" 8))
    (defun C:59 ()(setvar "osmode" 15359))
    (defun C:9 ()(setvar "osmode" 9))
    (defun C:0 ()(setvar "osmode" 0))
  • I think I am in the middle of the road. I like ribbons but only one. I do not like swapping thru so many. I also customize the interface extensively and utilize a gaming keyboard with 18 customizable function keys. My latest addition includes utilizing right-click wherever possible. I imagine removing most modify commands and many more from the UI except for right-click.


Sign In or Register to comment.

Howdy, Stranger!

It looks like you're new here. Click one of the buttons on the top bar to get involved!